Package org.linphone.core

# Enum Class Call.Status

java.lang.Object
java.lang.Enum<Call.Status>
org.linphone.core.Call.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Call.Status>`, `Constable`

Enclosing interface:
  `Call`

public static enum Call.Status extends Enum<Call.Status>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Aborted`
The call was aborted (caller hanged up)
`AcceptedElsewhere`
The call was answered on another device.
`Declined`
The call was declined, either locally or by remote end.
`DeclinedElsewhere`
The call was declined on another device.
`EarlyAborted`
The call was aborted before being advertised to the application - for protocol
reasons.
`Missed`
The call was missed (incoming call timed out without being answered or hanged
up)
`Success`
The call was successful.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Call.Status`
`fromInt(int value)`
`int`
`toInt()`
`static Call.Status`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Call.Status[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Success

public static final Call.Status Success
The call was successful.

### Aborted

public static final Call.Status Aborted
The call was aborted (caller hanged up)

### Missed

public static final Call.Status Missed
The call was missed (incoming call timed out without being answered or hanged
up)

### Declined

public static final Call.Status Declined
The call was declined, either locally or by remote end.

### EarlyAborted

public static final Call.Status EarlyAborted
The call was aborted before being advertised to the application - for protocol
reasons.

### AcceptedElsewhere

public static final Call.Status AcceptedElsewhere
The call was answered on another device.

### DeclinedElsewhere

public static final Call.Status DeclinedElsewhere
The call was declined on another device.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Call.Status[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Call.Status valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Call.Status fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()